#
# spec file for package kwebget (Version 0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kwebget
Copyright:    GPL
Requires:      wget
Group:        X11/KDE/Network
Summary:      to mirror web sites
Version:      0.7
Release:      197
Source0:      kwebget-0.7.tar.bz2
Patch0: kwebget-0.7.dif

%description
KWebGet is a frontend to the great 'wget'.  It comes with nearly the same
functionallity, but the user wont have to type such long commandline-arguments.

Authors:
--------
    Frank von Daak <frank.fun@kpage.de>

SuSE series: k2de

%prep
%setup -n kwebget-0.7
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Internet
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/de/kwebget
%dir /opt/kde2/share/doc/HTML/en/kwebget
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/fr
%dir /opt/kde2/share/locale/fr/LC_MESSAGES
/opt/kde2/bin/kwebget
/opt/kde2/share/applnk/Internet/kwebget.desktop
/opt/kde2/share/doc/HTML/de/kwebget/index-1.html
/opt/kde2/share/doc/HTML/de/kwebget/index-2.html
/opt/kde2/share/doc/HTML/de/kwebget/index-3.html
/opt/kde2/share/doc/HTML/de/kwebget/index-4.html
/opt/kde2/share/doc/HTML/de/kwebget/index-5.html
/opt/kde2/share/doc/HTML/de/kwebget/index.html
/opt/kde2/share/doc/HTML/de/kwebget/logotp3.gif
/opt/kde2/share/doc/HTML/en/kwebget/index-1.html
/opt/kde2/share/doc/HTML/en/kwebget/index-2.html
/opt/kde2/share/doc/HTML/en/kwebget/index-3.html
/opt/kde2/share/doc/HTML/en/kwebget/index-4.html
/opt/kde2/share/doc/HTML/en/kwebget/index-5.html
/opt/kde2/share/doc/HTML/en/kwebget/index.html
/opt/kde2/share/doc/HTML/en/kwebget/logotp3.gif
/opt/kde2/share/icons/hicolor/32x32/apps/kwebget.png
/opt/kde2/share/icons/locolor/16x16/apps/mini-kwebget.png
/opt/kde2/share/locale/de/LC_MESSAGES/kwebget.mo
/opt/kde2/share/locale/fr/LC_MESSAGES/kwebget.mo

%changelog -n kwebget
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Wed Apr 11 2001 - schwab@suse.de
- Fix missing declarations.
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Thu Mar 22 2001 - adrian@suse.de
- Spec file created from kwebget-0.7.tar.bz2 by autospec
